
Foniatr - Bug #269
Definovat krok v skale - chyba v popisku
08 October 2015 15:29 - Tomáš Kulhánek

Status: Resolved Start date: 08 October 2015
Priority: Normal Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: HTML5 client Estimated time: 0.00 hour
Target version: Psychotest2 Spent time: 23.00 hours
Description

scale 0 100(0.5) 0 malo 50 stredne 80 velmi

Krok udan v zavorce za 2. cislem intervalu (bez mezery)

History
#1 - 08 October 2015 16:32 - Tomáš Kulhánek
- Status changed from New to In Progress
- % Done changed from 10 to 90

Zobrazuje, jeste ale chyba v zobrazeni edukacni hodnoty, zatim nic nezobrazi

#2 - 08 October 2015 21:16 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100

chyba, retezec otazek obsahoval nadbytecny znak mezera, ktery se porovnal spatne se znenim otazky v tabulce edukacnich hodnot.
Opraveno trim() a rowextract("task ") a rowextract("taskpair ")

#3 - 09 October 2015 12:51 - Marek Frič
- Tracker changed from Feature to Bug
- Subject changed from Definovat krok v skale to chyba popisku neceločíslených škál

Popisky v škálach s neceločísleným začátkem (podle neceločíselného kroku)nebo konce nesouladí s definicí jejich polohy na škále Typický problém
(dva minusy píšem, lebo inak sa to zobrazi v redmine preciarknuté s (+)0.5 na zaciatku)

scale --0.5 3(0.5) --0.5 NA. 0 žádná  1 mírná  2 střední 3 těžká 
- vykresli se uplně nezmyselná poloha popisku (NA., žádnaá atd)

chyba se opraví pokud se nastaví začátek i konec čkály celočíselně

scale --1 3(0.5) --1 NA. 0 žádná  1 mírná  2 střední 3 těžká 
- vznikne však jedna hodnota škály navíc - múže způsobit neinterpretovatelnost výsledku

#4 - 09 October 2015 13:34 - Tomáš Kulhánek
- Subject changed from chyba popisku neceločíslených škál to Definovat krok v skale - chyba v popisku
- Status changed from Resolved to In Progress
- % Done changed from 100 to 90

#5 - 09 October 2015 16:16 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100

Opraveno.
Proveden update na nejnovejsi verzi ext-jquery-ui.js - fix labeledslider + update keys ze string na number a fix v ext-jquery-ui.js na step size < 1.

#6 - 12 October 2015 16:05 - Tomáš Kulhánek

pozr test cisla-edu http://physiome.lf1.cuni.cz/psychoacoustictest/psychotest.htm#137
skala: scale -0.5 3(0.5)  -0.5 NA. 0 žádná 1.5 XX 1 mírná  2 střední 3 těžká

sice celociselne popisky su pravne, ale necelociseln -0.5 a 1.5 sa nezobrazuju vobec

Opraveno. Z popisku se vzalo jen cele cislo, ktere kolidovalo s dalsim popiskem. psychotest-interpret.debug.js
